FailedSynchronizationException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: FailedSynchronizationException

Package org.apache.geode.cache

# Class FailedSynchronizationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.FailedSynchronizationException

All Implemented Interfaces:
  `Serializable`

public class FailedSynchronizationException extends CacheRuntimeException
Thrown when a cache transaction fails to register with the `UserTransaction` (aka JTA transaction), most likely the cause of the `UserTransaction`'s `javax.transaction.Status#STATUS_MARKED_ROLLBACK` status.

Since:
  GemFire 4.0
See Also:
  - `UserTransaction.setRollbackOnly()`
  - `Transaction.registerSynchronization(jakarta.transaction.Synchronization)`
  - `Status`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FailedSynchronizationException(String msg)`
  Constructs an instance of `FailedSynchronizationException` with the specified detail message.
  `FailedSynchronizationException(String msg, Throwable cause)`
  Constructs an instance of `FailedSynchronizationException` with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FailedSynchronizationException

    public FailedSynchronizationException(String msg)
    Constructs an instance of `FailedSynchronizationException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### FailedSynchronizationException

    public FailedSynchronizationException(String msg, Throwable cause)
    Constructs an instance of `FailedSynchronizationException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable